import { AssemblerView } from "../../Views/Assembler/AssemblerView.js";
import { BaseView, IBaseViewOptions } from "../../Views/BaseView.js";
import ContextModel from "../../Models/ContextModel.js";
export interface IContentOptions extends IBaseViewOptions {
    source: ContextModel;
}
export declare class Content extends BaseView {
    constructor(options: IContentOptions);
    protected get source(): ContextModel;
    protected get assemblers(): Jade.Collection<AssemblerView>;
    template(): string | Array<string> | JQuery;
    selectGroup(groupId: string): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private generateGroupViews;
}
